GH-ISSUE-DEVELOP(1)

NAME

gh-issue-develop - Manage linked branches for an issue

SYNOPSIS

gh issue develop [flags] {<number> | <url>}

OPTIONS

-b, --base <string>
    Name of the base branch you want to make your new branch from

-c, --checkout
    Checkout the branch after creating it

-i, --issue-repo <string>
    Name or URL of the issue's repository

-l, --list
    List linked branches for the issue

-n, --name <string>
    Name of the branch to create

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh issue develop --list 123 # list branches for issue 123
    $ gh issue develop --list --issue-repo "github/cli" 123 # list branches for issue 123 in repo "github/cli"
    $ gh issue develop --list https://github.com/github/cli/issues/123 # list branches for issue 123 in repo "github/cli"
    $ gh issue develop 123 --name "my-branch" --base my-feature # create a branch for issue 123 based on the my-feature branch
    $ gh issue develop 123 --checkout # fetch and checkout the branch for issue 123 after creating it

SEE ALSO

gh-issue(1)